Bug 1191592 - drop spring-asm dependency
Summary: drop spring-asm dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.0-alpha
: 4.0.0
Assignee: Martin Perina
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks: 1168605
TreeView+ depends on / blocked
 
Reported: 2015-02-11 14:50 UTC by Sandro Bonazzola
Modified: 2016-07-26 11:00 UTC (History)
12 users (show)

Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-26 11:00:32 UTC
oVirt Team: Infra
rule-engine: ovirt-4.0.0+
rule-engine: planning_ack+
oourfali: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 52850 None None None 2016-02-02 09:08:49 UTC
Red Hat Bugzilla 1191380 None None None Never

Internal Links: 1191380

Description Sandro Bonazzola 2015-02-11 14:50:41 UTC
ovirt-engine is requiring spring-asm in ./backend/manager/dependencies/common/pom.xml

It was removed by upstream in version 3.2 M2 [1]:
* inlined ASM 4.0 into spring-core, removed spring-asm subproject and jar (SPR-9669)

We should
 - not to depend on spring-asm artifact (changelog entry indicates that similar functionality could be now available in spring-core)
 - update spring dependencies in your project to version 3.2+

[1]: http://docs.spring.io/spring/docs/3.2.x/changelog.txt

Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 10:54:10 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 2 Allon Mureinik 2016-02-02 08:56:37 UTC
Oved, IIUC, the patch in https://gerrit.ovirt.org/#/c/52850/ solves this issue

Comment 3 Martin Perina 2016-02-02 09:45:13 UTC
(In reply to Allon Mureinik from comment #2)
> Oved, IIUC, the patch in https://gerrit.ovirt.org/#/c/52850/ solves this
> issue

Yes, we need to deliver Spring Framework 4 inside oVirt packages as it's not packaged on any platform we use (even Fedora rawhide doesn't have Spring 4), so all Spring RPM dependencies are removed from our packages

Comment 4 Lukas Svaty 2016-07-26 11:00:32 UTC
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA


Note You need to log in before you can comment on or make changes to this bug.